package tictactoe;

import java.io.*;

/**
 * A PassivePlayer attempts to make a move when its
 * move() method is called by some Driver.
 *
 * @see tictactoe.AbstractBoardGame#remoteMove
 *
 * @author Oscar.Nierstrasz@acm.org
 * @version 2.0 1999-03-26
 **/
public class PassivePlayer extends InactivePlayer {

	public PassivePlayer(char mark) {
		super(mark);
	}
	
	/**
	 * Attempt to make the given move in the associated game.
	 **/
	public void move(int col, int row) throws AssertionException {
		game_.move(col, row, this);
	}
}
