import java.io.*;

/**
 * Object-based version of record searching.
 *
 * @author Oscar.Nierstrasz@acm.org
 * @version 1.0 1998-11-22
 */
public class ObjectRec {

	public static void main(String args[]) {
		if (args.length != 2) { usage(); }
		else {
			String key = args[0];
			String fileName = args[1];
			
			try {
				FileRecordEnum source = new FileRecordEnum(fileName);
				while (source.hasMoreElements()) {
					String record = (String) source.nextElement();
					if (record.indexOf(key) > 0) {
						System.out.print(record);
					}
				}
			} catch (FileNotFoundException err) {
				System.err.println("Can't open " + fileName);
			}
		}
	}

	public static void usage() {
		System.err.println("Usage: java ProceduralRec <search key> <refer file>");
		System.exit(1);
	}
}
