import java.io.*;

/**
 * Object-based version of record searching.
 *
 * @author Oscar.Nierstrasz@acm.org
 * @version 1.1 1998-11-22
 */
public class ObjectRec {

	public static void main(String args[]) {
		if (args.length != 2) { usage(); }
		else {
			String key = args[0];
			String fileName = args[1];
			
			try {
				System.out.print(new FilterRecordEnum(key,
								new FileRecordEnum(fileName)));
			} catch (FileNotFoundException err) {
				System.err.println("Can't open " + fileName);
			}
		}
	}

	public static void usage() {
		System.err.println("Usage: java ProceduralRec <search key> <refer file>");
		System.exit(1);
	}
}
