
import java.util.Stack;

/**
 * This class is an adaptor that delegates StackInterface
 * messages to a java.util.Stack instance.
 *
 * @author Oscar.Nierstrasz@acm.org
 * @version 1.0 1998-11-25
 */
public class WrappedStack extends SimpleWrappedStack {

	public void push(Object item) throws AssertionException {
		super.push(item);
		assert(this.top() == item);
		assert(invariant());
	}
	
	public Object top() throws AssertionException {
		assert(!this.isEmpty());
		return super.top();
	}
	
	public void pop() throws AssertionException {
		assert(!this.isEmpty());
		super.pop();
		assert(invariant());
	}
	
	private boolean invariant() {
		return this.size() >= 0;
	}
	
	private void assert(boolean assertion)
		throws AssertionException
	{
		if (!assertion) {
			throw new AssertionException("Assertion failed in WrappedStack");
		}
	}
}
