/**
 * Driver for TicTacToe.
 * @author Oscar.Nierstrasz@acm.org
 * @version 1.3 1999-02-07
 */
import java.io.*;

public class GameDriver {
	public static void main(String args[]) {
		try {
			Player X = new Player('X');
			Player O = new Player('O');
			BoardGame game = new TicTacToe(X, O);
			playGame(game);
		} catch (AssertionException err) {
			System.err.println("AssertionException caught in GameDriver");
			err.printStackTrace();
		}
	}

	public static void playGame(BoardGame game) {
		playGame(game, true);
	}
	
	public static void playGame(BoardGame game, boolean verbose) {
		try {
			do {
				if (verbose) {
					System.out.println();
					System.out.println(game);
					System.out.print("Player "
						+ game.currentPlayer().mark() + " moves: ");
				}
				game.update();
			} while(game.notOver());
			if (verbose) {
				System.out.print(game);
				System.out.println("game over -- " + game.winner().name() + " wins!");
			}
		} catch (IOException err) {
			if (verbose)
				System.out.println("game terminated!");
		} catch (Exception err) {
			err.printStackTrace();
			System.exit(1);
		}
	}
}
