/**
 * Test Driver for TicTacToe.
 * @author Oscar.Nierstrasz@acm.org
 * @version 1.3 1999-02-07
 */

public class TestDriver {
	// X wins on diagonal
	private static String testX1 = "a1\nb2\nc3\n";
	private static String testO1 = "b1\nc1\n";
	// no one wins
	private static String testX2 = "b2\na1\nb3\na2\nc1\n";
	private static String testO2 = "a3\nc3\nb1\nc2\n";
	// O wins on reverse diagonal
	// tries invalid moves
	private static String testX3 = "a1\nb1\n"
		+ "a1\nb1\nb2\nc1\nd0\nxxx\n\n" // invalid moves
		+ "a2\n";
	private static String testO3 = "b2\nc1\na3\n";
	// X wins on centre column
	private static String testX4 = "b2\nb1\nb3\n";
	private static String testO4 = "a1\n"
		+ "b1\nA0\n" // invalid moves
		+ "a3\n";
	// O wins on top row
	private static String testX5 = "b2\na1\nc1\n";
	private static String testO5 = "a3\nc3\nb3\n";
	
	public static void main(String args[]) {
		System.err.println("hello tictactoe world!!!");

		testGame(testX1, testO1, "X", 4);
		testGame(testX2, testO2, "nobody", 0);
		testGame(testX3, testO3, "O", 3);
		testGame(testX4, testO4, "X", 4);
		testGame(testX5, testO5, "O", 3);
	}

	/**
	 * Run a game with simulated input for X and Y, and check that
	 * the winner is as expected.
	 */
	public static void testGame(String Xmoves, String Omoves, String winner, int squaresLeft) {
		System.err.println("Started testGame test");
		try {

			Player X = new Player('X', Xmoves);
			Player O = new Player('O', Omoves);

			BoardGame game = new TicTacToe(X, O);
			game.test();
			
			GameDriver.playGame(game, false);
			assert(game.winner().name().equals(winner));
			assert(game.squaresLeft() == squaresLeft);

			System.err.println("Passed testGame test");
		} catch (AssertionException err) {
			System.err.println("TestDriver assertion failed!");
			err.printStackTrace();
		}
	}

	/**
	 * NB: This version of assert() is static.
	 */
	private static void assert(boolean assertion)
		throws AssertionException
	{
		if (!assertion)
			throw new AssertionException("assertion failed in TestDriver");
	}
}