package tictactoe;

/**
 * Bundles together information about a change of state
 * in a BoardGame.  Sent by AbstractBoardGame to its Observers.
 *
 * @see AbstractBoardGame#set
 * @see GameApplet#update
 *
 * @author Oscar.Nierstrasz@acm.org
 * @version 2.0 1999-03-26
 */
public class Move {
	public final int col;
	public final int row;
	public final Player player;
	public Move(int col, int row, Player player) {
		this.col = col;
		this.row = row;
		this.player = player;
	}
	public String toString() {
		return "Move(" + col + "," + row + "," + player + ")";
	}
}