package server;

/**
 * Bundles together information about a change of state
 * in a BoardGame.  Sent by AbstractBoardGame to its Observers.
 *
 * This is the only class of object that is sent between the
 * client and the server.
 *
 * @see tictactoe.AbstractBoardGame#set
 * @see client.GameApplet#update
 *
 * @author Oscar.Nierstrasz@acm.org
 * @version 3.0 1999-04-03
 **/
public class Move implements java.io.Serializable {
	public final int col;
	public final int row;
	public final char mark;
	public Move(int col, int row, char mark) {
		this.col = col;
		this.row = row;
		this.mark = mark;
	}
	public String toString() {
		return "Move(" + col + "," + row + "," + mark + ")";
	}
}