package server;

// import java.io.*;
import java.rmi.*;

/**
 * Interface exported to remote clients that need
 * to instantiate a game.
 *
 * @see tictactoe.GameFactory
 *
 * @author Oscar.Nierstrasz@acm.org
 * @version 3.0 1999-04-01
 **/

public interface RemoteGameFactory extends Remote {
	
	/**
	 * Returns RemoteGame instance for a remote client.
	 * If a game already exists, the client joins the
	 * existing game.  Else a new game is made.
	 **/
	public RemoteGame joinGame()
		throws RemoteException;
}
